{% extends "base.html" %}
{% load app_filters %}
{% block content %}
    <div class="table-responsive">
        <table class="table">
            <thead>
            <tr>
                <th scope="col">Nom</th>
                <th scope="col">Hostname</th>
                <th scope="col">Température</th>
                <th scope="col">Load</th>
                <th scope="col">ReadOnly FS</th>
                <th scope="col">Etat Ecran</th>
                <th scope="col">Dernier appel Json<br><em>Dernier Monitoring</em></th>
            </tr>
            </thead>
            <tbody>
            {% for content_detail in screen %}
                <tr {% if not content_detail.is_ok %}style="color: red"{% endif %}>
                    <td><a href="{% url "view_screen" content_detail.pk %}">{{ content_detail.name }}</a></td>
                    <td>{{ content_detail.hostname }}<br/><em>{{ content_detail.ip }}</em></td>
                    <td>{{ content_detail.temperature }} °C</td>
                    <td>{{ content_detail.load }}</td>
                    <td>{{ content_detail.fs_ro|iconbool }}</td>
                    <td>{{ content_detail.tv_screen_on|iconbool }}</td>
                    <td>{{ content_detail.date_last_call }}<br/><em>{{ content_detail.date_last_monitoring }}</em></td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}